---
updatedAt: 2026-07-10T14:43:10.000Z
---

Fetch the complete documentation index at: https://docs.usestable.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Authentication

The Stable API uses API keys to authenticate requests. You can create and manage your own API keys directly in the [dashboard under Settings > API keys](https://dashboard.usestable.com/settings/api-keys).

Your API keys grant permissions to your account and should be treated like a password — keep them secure! Do not share your API keys on public GitHub pages, client-side codes, etc.

Authentication to the Stable API is performed via the **x-api-key** header. Provide your API Key as the value for the x-api-key header when sending a request.

### Example:

`curl https://api.usestable.com/v1/mail-items/9b72d569-21a4-4c30-8362-7579f50bedf7 -H "x-api-key: {your-api-key}"`